[%# Minimalistic HTML to include into an iframe %]
[% PROCESS 'html-incblocks.txt' %]
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
        "http://www.w3.org/TR/html4/strict.dtd">
<HTML>
<!-- Torrus Copyright (c) 2003-2011 Stanislav Sinyagin -->
<HEAD>
<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
<STYLE type="text/css" media="all">
BODY {
  background-color : white;
  color : #333;
  font-family : verdana, arial, helvetica, sans-serif;
  font-size : 11px;
  margin : 0;
  padding-bottom : 0;
  padding-left : 0;
  padding-right : 0;
  padding-top : 0;
}

*.Content  {
  display : block;
  float : left;
  margin-bottom : 20px;
  margin-left : 0px;
  margin-right : 0px;
  margin-top : 0;
  padding-bottom : 10px;
  padding-left : 10px;
  padding-right : 10px;
  padding-top : 10px;
  width : 90%;
}

H1, H2, H3, P {
  background-color : inherit;
  margin : 0 0 15px;
  padding-bottom : 0;
  padding-left : 0;
  padding-right : 0;
  padding-top : 0;
}

H1, H2 {
  color : #bbb;
}

H1 {
  font-size : 20px;
  font-weight : 900;
  line-height : 28px;
}

H2 {
  font-size : 18px;
  font-weight : 700;
  line-height : 20px;
}

H3 {
  color : #333;
  font-size : 18px;
  line-height : 18px;
}

P {
  clear : both; /* needed for Opera 6.12 */
  color : #333;
  float : none;
  font-size : 11px;
  line-height : 20px;
}

DIV.Legend {
  background-color : #eee;
  color : inherit;
  clear : both;
  float : none;
  font-size : 10px;
  margin-bottom : 10px;
  position : relative;
  width : 90%;
}

DIV.LegendRow {
  clear : both;
  float : none;
  margin-bottom: 2px;
}

DIV.LegendRow SPAN.LegendName {
  font-weight : bold;
  text-align : left;
  padding-right : 5px;
}

DIV.LegendRow SPAN.LegendValue {
  text-align : left;
}

P.Variables SPAN.VariableName {
  font-weight : bold;
}

DIV.Graph, DIV.ShortGraph  {
  clear : left;
  float : left;
  margin-bottom : 10px;
  margin-top : 15px;
  position : relative;
  width : 100%;
}

</STYLE>
</HEAD>
<BODY>

<DIV CLASS="Content">

[% graphdescr=nodeParam(token,'descriptive-nickname');
   IF graphdescr.length > 0 %]
<H1>Graphs for [% graphdescr %]</H1>
[% END %]

[% INCLUDE variables %]
[% INCLUDE legend %]

[% IF nodeParam(token, 'ds-type') != 'rrd-multigraph' %]
  [% dayValues = rrprint(token, 'rrd-print-daily') %]
  [% lastValue = rrprint(token, 'rrd-print-last') %]

  <P>24-hour minimum: [% scale('%.1f', dayValues.0) %], &nbsp;
  average: [% scale('%.1f', dayValues.1) %], &nbsp;
  maximum: <STRONG>[% scale('%.1f', dayValues.2) %]</STRONG>. &nbsp;
  Last: [% scale('%.1f', lastValue) %]
  </P>
[% END %]

[%
  graphvars = [];
  graphviews = nodeParam(token,'rrgraph-views').split(',');
  dayView = graphviews.1;
  weekView = graphviews.2;
  monthView = graphviews.3;
  yearView = graphviews.4;
  IF   nodeParam(token, 'rrd-hwpredict') == 'enabled' and
       ( param(view, 'rrd-hwpredict') == 'disabled' or variables.NOHW );
    graphvars = ['NOHW', 1];
  END;
%]

<DIV CLASS="Graph">
<H2>Last day graph</H2>
[% INCLUDE rrgraph view=dayView vars=graphvars %]
</DIV>

<DIV CLASS="Graph">
<H2>Last week graph</H2>
[% INCLUDE rrgraph view=weekView vars=graphvars %]
</DIV>

<DIV CLASS="Graph">
<H2>Last month graph</H2>
[% INCLUDE rrgraph view=monthView %]
</DIV>

<DIV CLASS="Graph">
<H2>Last year graph</H2>
[% INCLUDE rrgraph view=yearView %]
</DIV>

</DIV><!-- Content -->
</BODY>
</HTML>

